Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.getxmldata
Class GetXMLDataData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.getxmldata.GetXMLDataData

All Implemented Interfaces:
  StepDataInterface

    public class GetXMLDataData

extends BaseStepData
implements StepDataInterface

Since:
  21-06-2007
Author:
  Samatar

Field Summary
`List<org.dom4j.tree.AbstractNode>` | `an`
`org.pentaho.di.core.row.RowMetaInterface` | `convertRowMeta`
`SimpleDateFormat` | `daf`
`DateFormatSymbols` | `dafs`
`DecimalFormat` | `df`
`DecimalFormatSymbols` | `dfs`
`org.dom4j.Document` | `document`
`boolean` | `errorInRowButContinue`
`org.apache.commons.vfs.FileObject` | `file`
`int` | `filenr`
`org.pentaho.di.core.fileinput.FileInputList` | `files` The XML files to read
`FileInputStream` | `fr`
`int` | `indexOfXmlField`
`org.pentaho.di.core.row.RowMetaInterface` | `inputRowMeta`
`BufferedInputStream` | `is`
`int` | `itemCount`
`String` | `itemElement`
`int` | `itemPosition`
`boolean` | `last_file`
`String` | `lastline`
`Map<String,String>` | `NAMESPACE`
`String` | `nextline`
`NumberFormat` | `nf`
`int` | `nodenr`
`int` | `nodesize`
`int` | `nr_repeats`
`int` | `nrInputFields`
`List<String>` | `NSPath`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`String` | `PathValue`
`Object[]` | `previousRow`
`String` | `prunePath`
`Object[]` | `readrow`
`long` | `rownr`
`boolean` | `stopPruning`
`String` | `thisline`
`String` | `tokenEnd`
`String` | `tokenStart`
`int` | `totalpreviousfields`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`GetXMLDataData()`

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### thisline

    public String thisline

### nextline

    public String nextline

### lastline

    public String lastline

### previousRow

    public Object[] previousRow

### inputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface inputRowMeta

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### convertRowMeta

    public org.pentaho.di.core.row.RowMetaInterface convertRowMeta

### nr_repeats

    public int nr_repeats

### nf

    public NumberFormat nf

### df

    public DecimalFormat df

### dfs

    public DecimalFormatSymbols dfs

### daf

    public SimpleDateFormat daf

### dafs

    public DateFormatSymbols dafs

### nrInputFields

    public int nrInputFields

### PathValue

    public String PathValue

### prunePath

    public String prunePath

### stopPruning

    public boolean stopPruning

### errorInRowButContinue

    public boolean errorInRowButContinue

### tokenStart

    public String tokenStart

### tokenEnd

    public String tokenEnd

### nodenr

    public int nodenr

### nodesize

    public int nodesize

### an

    public List<org.dom4j.tree.AbstractNode> an

### readrow

    public Object[] readrow

### totalpreviousfields

    public int totalpreviousfields

### NAMESPACE

    public Map<String,String> NAMESPACE

### NSPath

    public List<String> NSPath

### files

    public org.pentaho.di.core.fileinput.FileInputList files

  The XML files to read

### last_file

    public boolean last_file

### file

    public org.apache.commons.vfs.FileObject file

### filenr

    public int filenr

### fr

    public FileInputStream fr

### is

    public BufferedInputStream is

### document

    public org.dom4j.Document document

### itemElement

    public String itemElement

### itemCount

    public int itemCount

### itemPosition

    public int itemPosition

### rownr

    public long rownr

### indexOfXmlField

    public int indexOfXmlField

Constructor Detail

### GetXMLDataData

    public GetXMLDataData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD